CREATE TABLE IF NOT EXISTS triebzug (
    id	        INT     PRIMARY KEY,
    tz_id       INT     UNIQUE,
    name        VARCHAR NULL
);

CREATE TABLE IF NOT EXISTS bingo_card (
    id	        INT     PRIMARY KEY,
    x_pos       INT     NOT NULL,
    y_pos       INT     NOT NULL,
    tz_id       INT     NOT NULL REFERENCES triebzug(tz_id)
);

CREATE TABLE IF NOT EXISTS bingo_cards (
    id          INT     PRIMARY KEY,
    card_id     INT     NOT NULL REFERENCES bingo_card(id),
    start_time  INT     NOT NULL,
    end_time    INT     NOT NULL
);

CREATE TABLE IF NOT EXISTS user (
    id          INT             PRIMARY KEY,
    name        VARCHAR         NOT NULL
);

CREATE TABLE IF NOT EXISTS webhook (
    id          INT             PRIMARY KEY,
    user        INT             NOT NULL REFERENCES user(id),
    secret      VARCHAR         NOT NULL,
    hook        VARCHAR         NOT NULL
);

CREATE TABLE IF NOT EXISTS checkins (
    id          INT             PRIMARY KEY,
    user        INT             NOT NULL REFERENCES user(id),
    start_time  TIMESTAMP       NOT NULL,
    end_time    TIMESTAMP       NULL
);

CREATE INDEX tz_id ON triebzug(tz_id);
CREATE INDEX bingo_card_xy ON bingo_card(x_pos, y_pos);
